Sub main() Dim swApp As SldWorks.SldWorks Dim swModel As SldWorks.ModelDoc2 Dim swDraw As SldWorks.DrawingDoc Dim swSelMgr As SldWorks.SelectionMgr Dim swView As SldWorks.View Dim vScaleRatio As Variant Dim bRet As Boolean Dim swNote As SldWorks.Note Dim sNoteText, sNoteNewText As String Dim nTextCount As Long Dim i As Long Dim Numerator As Double Dim Denominator As Double Set swApp = Application.SldWorks Set swModel = swApp.ActiveDoc Set swDraw = swApp.ActiveDoc Set swView = swDraw.GetFirstView While Not swView Is Nothing vScaleRatio = swView.ScaleRatio Numerator = vScaleRatio(0) Denominator = vScaleRatio(1) sNoteNewText = "Maßstab " & Numerator & ":" & Denominator Set swNote = swView.GetFirstNote While Not swNote Is Nothing If swNote.IsCompoundNote Then nTextCount = swNote.GetTextCount For i = 1 To nTextCount sNoteText = swNote.GetTextAtIndex(i) If Left(sNoteText, 8) = "Maßstab " Then swNote.SetTextAtIndex i, sNoteNewText End If Next i Else sNoteText = swNote.GetText If Left(sNoteText, 8) = "Maßstab " Then swNote.SetTextAtIndex i, sNoteNewText End If End If Set swNote = swNote.GetNext Wend Set swView = swView.GetNextView Wend End Sub